=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2011-01-13 21:51:32 +0000
+++ doc/developers/releasing.txt	2011-03-10 14:24:17 +0000
@@ -195,55 +195,84 @@
 
      ./tools/check-newsbugs.py doc/en/release-notes/bzr-x.y.txt
 
-   (As of 2011-12-03, only a few false positives remain. Don't let this slow
+   (As of 2011-03-10, only a few false positives remain. Don't let this slow
    you down too much.)
 
 #. Commit these changes to the release branch, using a command like::
 
-     bzr commit -m "Release 1.14."
+     bzr commit -m "Release 2.3.1"
 
    The diff before you commit will be something like::
 
-     === modified file 'NEWS'
-     --- NEWS        2008-09-17 23:09:18 +0000
-     +++ NEWS        2008-09-23 16:14:54 +0000
-     @@ -4,6 +4,23 @@
-
-      .. contents::
-
-     +bzr 1.7 2008-09-23
-     +------------------
-     +
-     +This release includes many bug fixes and a few performance and feature
-     +improvements.  ``bzr rm`` will now scan for missing files and remove them,
-     +like how ``bzr add`` scans for unknown files and adds them. A bit more
-     +polish has been applied to the stacking code. The b-tree indexing code has
-     +been brought in, with an eye on using it in a future repository format.
-     +There are only minor installer changes since bzr-1.7rc2.
-     +
-      bzr 1.7rc2 2008-09-17
-      ---------------------
-
-
-     === modified file 'bzrlib/__init__.py'
-     --- bzrlib/__init__.py  2008-09-16 21:39:28 +0000
-     +++ bzrlib/__init__.py  2008-09-23 16:14:54 +0000
-     @@ -41,7 +41,7 @@
-      # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
-      # releaselevel of 'dev' for unreleased under-development code.
-
-     -version_info = (1, 7, 0, 'candidate', 2)
-     +version_info = (1, 7, 0, 'final', 0)
-
-
-      # API compatibility version: bzrlib is currently API compatible with 1.7.
-
-   Note that the NEWS file formatting has evolved, this example needs to
-   be updated.
+      === modified file 'bzrlib/__init__.py'
+      --- bzrlib/__init__.py	2011-02-09 06:35:00 +0000
+      +++ bzrlib/__init__.py	2011-03-10 10:24:47 +0000
+      @@ -52,7 +52,7 @@
+       # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
+       # releaselevel of 'dev' for unreleased under-development code.
+       
+      -version_info = (2, 3, 1, 'dev', 0)
+      +version_info = (2, 3, 1, 'final', 0)
+       
+       # API compatibility version
+       api_minimum_version = (2, 3, 0)
+      
+      === modified file 'doc/en/release-notes/bzr-2.3.txt'
+      --- doc/en/release-notes/bzr-2.3.txt	2011-03-09 08:30:16 +0000
+      +++ doc/en/release-notes/bzr-2.3.txt	2011-03-10 10:40:47 +0000
+      @@ -8,23 +8,10 @@
+       bzr 2.3.1
+       #########
+       
+      -:2.3.1: NOT RELEASED YET
+      -
+      -External Compatibility Breaks
+      -*****************************
+      -
+      -.. These may require users to change the way they use Bazaar.
+      -
+      -New Features
+      -************
+      -
+      -.. New commands, options, etc that users may wish to try out.
+      -
+      -Improvements
+      -************
+      -
+      -.. Improvements to existing commands, especially improved performance 
+      -   or memory usage, or better results.
+      +:2.3.1: 2011-03-10
+      +
+      +This is a bugfix release. Upgrading is recommended for all users of earlier
+      +2.3 releases.
+       
+       Bug Fixes
+       *********
+      
+      === modified file 'doc/en/whats-new/whats-new-in-2.3.txt'
+      --- doc/en/whats-new/whats-new-in-2.3.txt	2011-02-03 16:29:18 +0000
+      +++ doc/en/whats-new/whats-new-in-2.3.txt	2011-03-10 11:10:36 +0000
+      @@ -17,8 +17,13 @@
+       improvements made to the core product, it highlights enhancements within the
+       broader Bazaar world of potential interest to those upgrading.
+       
+      -Bazaar 2.3.0 is fully compatible both locally and on the network with 2.0 2.1,
+      -and 2.2, and can read and write repositories generated by all previous
+      +Bazaar 2.3.1 includes all the fixes in the un-released 2.0.7, 2.1.4 and 2.2.5
+      +versions that weren't included in 2.3.0 and fixes some bugs on its own.
+      +
+      +See the :doc:`../release-notes/index` for details.
+      +
+      +Bazaar 2.3 is fully compatible both locally and on the network with 2.0, 2.1,
+      +and 2.2. It can read and write repositories generated by all previous
+       versions.
+       
+       Changed Behaviour
+      
 
 #. Tag the new release::
 
-     bzr tag bzr-1.14
+     bzr tag bzr-2.3.1
 
 #. Push those changes to a bzr repository that is public and accessible on
    the Internet. PQM will pull from this repository when it attempts to merge
@@ -251,7 +280,7 @@
    appropriate release branch::
 
      bzr push
-     bzr pqm-submit -m "(mbp) Release 1.14 (Martin Pool)"
+     bzr pqm-submit -m "(vila) Release 2.3.1 (Vincent Ladeuil)"
 
    Or with hydrazine::
 
@@ -405,7 +434,14 @@
    * New announcement: When doing a release (beta, candidates, final), put the
      summary of the release (you can't embed URLs there, the moderation staff
      remove them). Users can still access the releases notes via the ``Release
-     Notes`` URL in the ``Links`` box in the upper right area of the page.
+     Notes`` URL in the ``Links`` box in the upper right area of the
+     page. When doing the first stable release in a series, delete the
+     ``Unstable installers`` <https://launchpad.net/bzr/x.y/x.ybn> and
+     ``Unstable source tarball``
+     <http://launchpad.net/bzr/x.y/x.ybn/+download/bzr-x.ybn.tar.gz>
+     links. Conversely, when creating the first beta in a development series,
+     create these links again. Check all links when doing other kinds of
+     release.
 
    * Set direct download: When releasing a new stable release, this should
      point to the corresponding launchpad page:

